org.apache.el.parser

## Class AstBracketSuffix

- java.lang.Object
- - org.apache.el.lang.ELSupport
  - - org.apache.el.parser.SimpleNode
    - - org.apache.el.parser.AstBracketSuffix

All Implemented Interfaces:
  Node

    public final class AstBracketSuffix
    extends SimpleNode

Author:
  Jacob Hookom [jacob@hookom.net]

### Field Summary

### Fields inherited from class org.apache.el.parser.SimpleNode

`children, id, image, parent`

### Constructor Summary

Constructors
Constructor and Description
`AstBracketSuffix(int id)`

### Method Summary

Methods
`Object` `getValue(EvaluationContext ctx)`

### Methods inherited from class org.apache.el.parser.SimpleNode

`accept, equals, getImage, getMethodInfo, getType, getValueReference, hashCode, invoke, isParametersProvided, isReadOnly, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, setImage, setValue, toString, toString`

### Methods inherited from class org.apache.el.lang.ELSupport

`coerceToBoolean, coerceToCharacter, coerceToEnum, coerceToNumber, coerceToNumber, coerceToNumber, coerceToString, coerceToType, compare, equals, isBigDecimalOp, isBigIntegerOp, isDoubleOp, isLongOp, isStringFloat`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AstBracketSuffix

    public AstBracketSuffix(int id)

### Method Detail

#### getValue

    public Object getValue(EvaluationContext ctx)
                    throws ELException

Specified by:
  `getValue` in interface `Node`
Overrides:
  `getValue` in class `SimpleNode`
Throws:
  `ELException`